Name:           swing-layout
Version:        1.0.4
Release:        12%{?dist}
Summary:        Natural layout for Swing panels
License:        LGPLv2
URL:            https://swing-layout.dev.java.net/
# https://svn.java.net/svn/swing-layout~svn/trunk/
Source0:        %{name}-%{version}-src.zip
# from http://java.net/jira/secure/attachment/27303/pom.xml
Source1:        %{name}-pom.xml
# use javac target/source 1.5
Patch0:         %{name}-%{version}-project_properties.patch
Patch1:         %{name}-%{version}-fix-incorrect-fsf-address.patch

BuildRequires:  jpackage-utils >= 1.6
BuildRequires:  java-devel >= 1.3
BuildRequires:  ant
BuildRequires:  dos2unix
Requires:       java >= 1.3

BuildArch:      noarch

%description
Extensions to Swing to create professional cross platform layout.

%if 0
%package javadoc
Summary:        Javadoc documentation for Swing Layout

%description javadoc
Documentation for Swing Layout code.
%endif

%prep
%setup -q
dos2unix releaseNotes.txt
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' COPYING

cp -p %{SOURCE1} pom.xml
sed -i "s|<version>1.0.3</version>|<version>%{version}</version>|" pom.xml

%build

%{ant} jar \
#   [javadoc] Loading source files for package org.jdesktop.layout...
#   [javadoc] 1 error
#   [javadoc] java.lang.IllegalStateException: endPosTable already set
%if 0
 javadoc dist
%endif
 
%install

mkdir -p %{buildroot}%{_javadir}

%if 0
install -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
%else
install -m 644 dist/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%if 0
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files -f .mfiles
%doc releaseNotes.txt
%license COPYING

%if 0
%files javadoc
%{_javadocdir}/%{name}
%license COPYING
%endif

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 1.0.4-10
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 09 2012 gil cattaneo <puntogil@libero.it> 1.0.4-6
- Adapted to current guideline
- Added maven pom
- Installed license file

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0.4-2
- Drop gcj_support.

* Tue Jan 26 2010 Victor G. Vasilyev <victor.vasilyevg@sun.com> - 1.0.4-1
- 1.0.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-2
- gcj bits
- no insane javadoc links

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1.0.3-1
- 1.0.3
- Major specfile cleanup for Fedora

* Tue Feb 19 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0:1.0-1jpp
- Shamelessly stolen this from JPackage 1.6 without proper ChangeLog entry

* Mon Nov 12 2005 Jaroslav Tulach <jtulach@netbeans.org> - 0:0.9-1jpp
- First packaged release.
